Subject: Re: git for mail synchronization

From: Greg KH <[email-masked]>
Date: Sun, 6 Mar 2011 11:56:48 -0800

On Sun, Mar 06, 2011 at 08:10:13PM +0100, Enrico Weigelt wrote:
> 
> Hi folks,
> 
> 
> I'm currently thinking about using git for mail synchronization.
> The scenario:
> 
> * multiple hosts share a set of maildirs where new mails can be
>   added or removed arbitrarily (using non-conflicting filenames,
>   eg. their sha-hashes)
> * on each host, the current tree is committed in some time
>   interval
> * the hosts pull from each other and merge in the other's trees.
> 
> 
> Could this work well ?

It can work, there was a blog post somewhere that showed one solution
for this type of thing, google is your friend here.

But, I would recommend just using something like offlineimap instead, it
handles stuff like this much easer than git, and then using git to store
an "archive" version of emails you want to keep longer.  That's what I
do and it's much easier in the end.

best of luck,

greg k-h